#pragma once
#include "Text.h"
#include "TextureManager.h"
#include "Inventory/PlayerInventory.h"

class SellSreenRow {
public:
	SellSreenRow(const ItemStack& item, const Vector2f& pos, const Vector2f& size);
	~SellSreenRow();

	SellSreenRow(const SellSreenRow& other) = delete;
	SellSreenRow(SellSreenRow&& other) = delete;
	SellSreenRow& operator=(const SellSreenRow& other) = delete;
	SellSreenRow& operator=(SellSreenRow&& other) = delete;

	void Draw() const;
	void Update(float elapsedSecs);

private:
	void GenerateCalcString();

	ItemStack m_Item;
	Vector2f m_Pos;
	Vector2f m_Size;

	Text* m_NameText;
	Text* m_CalculationText;

	Texture* m_Icon;


};
